Get scan history

Returns a list of objects, each of which represent an individual run of the specified scan.

Note: Scans with agent_scan_launch_type set to triggered will not have scan history.

Requires the Scan Operator [24] user role and Can View [16] scan permissions. See Roles and Permissions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the scan. This identifier can be either the scans.schedule_uuid or the scans.id attribute in the response message from the GET /scans endpoint. Tenable recommends that you use scans.schedule_uuid.

Query Params
int32

The number of records to retrieve. If this parameter is omitted, Tenable Vulnerability Management uses the default value of 50.

int32

The starting record to retrieve. If this parameter is omitted, Tenable Vulnerability Management uses the default value of 0.

string

The field you want to use to sort the results by along with the sort order. The field is specified first, followed by a colon, and the order is specified second (asc or desc). For example, start_date:desc would sort results by the start_date field in descending order.

If you specify multiple fields, the fields must be separated by commas. For example, start_date:desc,status:asc would first sort results by the start_date field in descending order and then by the status field in ascending order.

boolean
required

Indicates whether or not to exclude rollover scans from the scan history. If no value is provided for this parameter, Tenable Vulnerability Management uses the default value false.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

404

Returned if Tenable Vulnerability Management cannot find the specified scan_id.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html